Uses Crt, RS232Dos;

Var B : Byte;

Begin
 WriteLn('Читаем данные с COM2');
 {Инициализация порта}
 InitCOM(2, 28800, 3);

 {Выход из программы - нажатие любой клавиши}
 While not KeyPressed do begin
  {Ожидаем данные на порту}
  If ReadData(B, 2000) then begin
   WriteLn(B); {выводим на экран}
  End;
 End;

 {Чистим буфер клавиатуры}
 While KeyPressed do ReadKey;
End.